@import '../../assets/styles/common';

$avatarFrame_wh: 11rem;
$avatar_w: 9rem;

.avatar {
  &__img {
    position: initial;
    width: $avatar_w;
    height: $avatar_w;
    margin: 1rem 0 0 1.1rem;
    border-radius: 50%;
    object-fit: cover;

    &-challenge {
      @extend .avatar__img;

      width: 7.4rem;
      height: 7.4rem;
      border: 2px solid $white;
    }
  }

  &__frame {
    position: absolute;
    width: $avatarFrame_wh;
    height: $avatarFrame_wh;
  }

  &__wrapper {
    position:relative;
    width: $avatarFrame_wh;
  }

  @media only screen and (max-width: 1400px) {
    &__img-challenge {
      width: 6rem;
      height: 6rem;
      margin: 0 0 0 .7rem;
    }
  }
}
